Source: phpunit-dbunit
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: ant,
               debhelper (>= 9),
               php-sqlite3,
               phpab,
               phpunit (>= 6),
               pkg-php-tools (>= 1.7~)
Standards-Version: 4.1.3
Homepage: https://github.com/sebastianbergmann/dbunit
Vcs-Git: https://salsa.debian.org/php-team/pear/phpunit-dbunit.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/phpunit-dbunit

Package: phpunit-dbunit
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: php-symfony-yaml (>= 3.0),
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 DBUnit is an extension to PHPUnit, that "has been created to provide
 an easy way to place your database in a known state, execute your
 database-affecting code, and ensure that the expected data is found
 in the database.", quoting the PHPUnit manual.
 .
 PHPUnit is a unit testing suite for the PHP language, modelled on the xUnit
 testing framework, designed by Kent Beck and Erich Gamma.  If you've used
 JUnit (for Java), PyUnit (for Python), CxxUnit (for C++), or any of the
 other equivalents for other languages, the API for this package should seem
 fairly familiar.  If you've never written unit tests before, the PHPUnit
 API is simple to learn and use.
